
playing_sounds = {}
MAX_SOUNDS = 4
target_scale = 1
user_scale = 1

function fartsound()
  local farts = love.filesystem.getDirectoryItems("farts")
  local which = love.math.random(1, #farts)
  local sound = love.audio.newSource("farts/"..farts[which])
  sound:setLooping(false)
  sound:play()
  table.insert(playing_sounds, 1, sound)
end

function love.load()
  POOP = love.graphics.newImage("Poop_Emoji.png")
end

function love.update(dt)
  if love.keyboard.isDown("escape") or love.keyboard.isDown("f10") then
    love.event.quit()
  end

  if love.keyboard.isDown('space') or
    love.keyboard.isDown('enter') or
    love.keyboard.isDown('return') or
    love.mouse.isDown(1)
  then
    if target_scale == 1 then
      fartsound()
    end
    target_scale = 0.75
  else
    target_scale = 1
  end

  if target_scale > user_scale then
    user_scale = math.min(user_scale + dt * 6, target_scale)
  elseif target_scale < user_scale then
    user_scale = math.max(user_scale - dt * 6, target_scale)
  end

  local any_removed = false
  if #playing_sounds > MAX_SOUNDS then
    for i = MAX_SOUNDS, #playing_sounds do
      playing_sounds[i]:stop()
    end
  end
  for i = #playing_sounds, 1, -1 do
    if not playing_sounds[i]:isPlaying() then
      table.remove(playing_sounds, i)
      any_removed = true
    end
  end
  
  if any_removed then collectgarbage() end
end

function love.draw()
  love.graphics.setColor(96, 192, 255)
  local W, H = love.graphics.getDimensions()
  love.graphics.rectangle('fill', 0, 0, W, H)
  love.graphics.setColor(255, 255, 255)
  local S = math.min(W/850, H/850)
  love.graphics.translate(W*0.5, H*0.5)
  love.graphics.scale(S, S)
  love.graphics.draw(POOP, -320*user_scale, -320*user_scale, 0, user_scale)
end

